diff --git a/net/kio-gdrive/distinfo b/net/kio-gdrive/distinfo
index 15439dcf0c70..5da68a535673 100644
--- a/net/kio-gdrive/distinfo
+++ b/net/kio-gdrive/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889471
-SHA256 (KDE/release-service/23.08.5/kio-gdrive-23.08.5.tar.xz) = d5983ea15284431e83561bbf0b10ed39790a879cb465fc132aa96b0fe2d5eda6
-SIZE (KDE/release-service/23.08.5/kio-gdrive-23.08.5.tar.xz) = 79452
+TIMESTAMP = 1734460310
+SHA256 (KDE/release-service/24.12.0/kio-gdrive-24.12.0.tar.xz) = e68855748ca1b3747d9b5848f899490d4bcd9564dd47d77a613f93e45458f475
+SIZE (KDE/release-service/24.12.0/kio-gdrive-24.12.0.tar.xz) = 80120
diff --git a/net/kio-gdrive/pkg-plist b/net/kio-gdrive/pkg-plist
index e999fc3af36d..43fddc1deaff 100644
--- a/net/kio-gdrive/pkg-plist
+++ b/net/kio-gdrive/pkg-plist
@@ -1,52 +1,53 @@
 %%QT_PLUGINDIR%%/kaccounts/daemonplugins/gdrive.so
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/gdrivecontextmenuaction.so
-%%QT_PLUGINDIR%%/kf5/kio/gdrive.so
-%%QT_PLUGINDIR%%/kf5/propertiesdialog/gdrivepropertiesplugin.so
-%%QT_PLUGINDIR%%/kf5/purpose/purpose_gdrive.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/gdrivecontextmenuaction.so
+%%QT_PLUGINDIR%%/kf6/kio/gdrive.so
+%%QT_PLUGINDIR%%/kf6/propertiesdialog/gdrivepropertiesplugin.so
+%%QT_PLUGINDIR%%/kf6/purpose/purpose_gdrive.so
 share/accounts/services/kde/google-drive.service
-share/knotifications5/gdrive.notifyrc
-share/locale/ar/LC_MESSAGES/kio5_gdrive.mo
-share/locale/az/LC_MESSAGES/kio5_gdrive.mo
-share/locale/be/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ca/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ca@valencia/LC_MESSAGES/kio5_gdrive.mo
-share/locale/cs/LC_MESSAGES/kio5_gdrive.mo
-share/locale/da/LC_MESSAGES/kio5_gdrive.mo
-share/locale/de/LC_MESSAGES/kio5_gdrive.mo
-share/locale/el/LC_MESSAGES/kio5_gdrive.mo
-share/locale/en_GB/LC_MESSAGES/kio5_gdrive.mo
-share/locale/es/LC_MESSAGES/kio5_gdrive.mo
-share/locale/et/LC_MESSAGES/kio5_gdrive.mo
-share/locale/eu/LC_MESSAGES/kio5_gdrive.mo
-share/locale/fi/LC_MESSAGES/kio5_gdrive.mo
-share/locale/fr/LC_MESSAGES/kio5_gdrive.mo
-share/locale/gl/LC_MESSAGES/kio5_gdrive.mo
-share/locale/he/LC_MESSAGES/kio5_gdrive.mo
-share/locale/hi/LC_MESSAGES/kio5_gdrive.mo
-share/locale/hu/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ia/LC_MESSAGES/kio5_gdrive.mo
-share/locale/id/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ie/LC_MESSAGES/kio5_gdrive.mo
-share/locale/it/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ja/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ka/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ko/LC_MESSAGES/kio5_gdrive.mo
-share/locale/lt/LC_MESSAGES/kio5_gdrive.mo
-share/locale/nl/LC_MESSAGES/kio5_gdrive.mo
-share/locale/nn/LC_MESSAGES/kio5_gdrive.mo
-share/locale/pl/LC_MESSAGES/kio5_gdrive.mo
-share/locale/pt/LC_MESSAGES/kio5_gdrive.mo
-share/locale/pt_BR/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ro/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ru/LC_MESSAGES/kio5_gdrive.mo
-share/locale/sk/LC_MESSAGES/kio5_gdrive.mo
-share/locale/sl/LC_MESSAGES/kio5_gdrive.mo
-share/locale/sv/LC_MESSAGES/kio5_gdrive.mo
-share/locale/ta/LC_MESSAGES/kio5_gdrive.mo
-share/locale/tr/LC_MESSAGES/kio5_gdrive.mo
-share/locale/uk/LC_MESSAGES/kio5_gdrive.mo
-share/locale/zh_CN/LC_MESSAGES/kio5_gdrive.mo
-share/locale/zh_TW/LC_MESSAGES/kio5_gdrive.mo
+share/knotifications6/gdrive.notifyrc
+share/locale/ar/LC_MESSAGES/kio6_gdrive.mo
+share/locale/az/LC_MESSAGES/kio6_gdrive.mo
+share/locale/be/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ca/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ca@valencia/LC_MESSAGES/kio6_gdrive.mo
+share/locale/cs/LC_MESSAGES/kio6_gdrive.mo
+share/locale/da/LC_MESSAGES/kio6_gdrive.mo
+share/locale/de/LC_MESSAGES/kio6_gdrive.mo
+share/locale/el/LC_MESSAGES/kio6_gdrive.mo
+share/locale/en_GB/LC_MESSAGES/kio6_gdrive.mo
+share/locale/eo/LC_MESSAGES/kio6_gdrive.mo
+share/locale/es/LC_MESSAGES/kio6_gdrive.mo
+share/locale/et/LC_MESSAGES/kio6_gdrive.mo
+share/locale/eu/LC_MESSAGES/kio6_gdrive.mo
+share/locale/fi/LC_MESSAGES/kio6_gdrive.mo
+share/locale/fr/LC_MESSAGES/kio6_gdrive.mo
+share/locale/gl/LC_MESSAGES/kio6_gdrive.mo
+share/locale/he/LC_MESSAGES/kio6_gdrive.mo
+share/locale/hi/LC_MESSAGES/kio6_gdrive.mo
+share/locale/hu/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ia/LC_MESSAGES/kio6_gdrive.mo
+share/locale/id/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ie/LC_MESSAGES/kio6_gdrive.mo
+share/locale/it/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ja/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ka/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ko/LC_MESSAGES/kio6_gdrive.mo
+share/locale/lt/LC_MESSAGES/kio6_gdrive.mo
+share/locale/nl/LC_MESSAGES/kio6_gdrive.mo
+share/locale/nn/LC_MESSAGES/kio6_gdrive.mo
+share/locale/pl/LC_MESSAGES/kio6_gdrive.mo
+share/locale/pt/LC_MESSAGES/kio6_gdrive.mo
+share/locale/pt_BR/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ro/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ru/LC_MESSAGES/kio6_gdrive.mo
+share/locale/sk/LC_MESSAGES/kio6_gdrive.mo
+share/locale/sl/LC_MESSAGES/kio6_gdrive.mo
+share/locale/sv/LC_MESSAGES/kio6_gdrive.mo
+share/locale/ta/LC_MESSAGES/kio6_gdrive.mo
+share/locale/tr/LC_MESSAGES/kio6_gdrive.mo
+share/locale/uk/LC_MESSAGES/kio6_gdrive.mo
+share/locale/zh_CN/LC_MESSAGES/kio6_gdrive.mo
+share/locale/zh_TW/LC_MESSAGES/kio6_gdrive.mo
 share/metainfo/org.kde.kio_gdrive.metainfo.xml
-share/remoteview/gdrive-network.desktop
 share/purpose/purpose_gdrive_config.qml
+share/remoteview/gdrive-network.desktop
diff --git a/net/kio-zeroconf/Makefile b/net/kio-zeroconf/Makefile
index f94b55979365..0667045c29a2 100644
--- a/net/kio-zeroconf/Makefile
+++ b/net/kio-zeroconf/Makefile
@@ -5,11 +5,10 @@ CATEGORIES=	net kde kde-applications
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE Network monitor for DNS-SD services (Zeroconf)
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	config coreaddons dbusaddons dnssd i18n kio service \
 		ecm:build
-USE_QT=		concurrent core dbus network \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/net/kio-zeroconf/distinfo b/net/kio-zeroconf/distinfo
index 7443a810eb66..0b9bd3521720 100644
--- a/net/kio-zeroconf/distinfo
+++ b/net/kio-zeroconf/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889475
-SHA256 (KDE/release-service/23.08.5/kio-zeroconf-23.08.5.tar.xz) = 09a69166bb11f7c05a4ac233f8364f5bf17fdb6fddc4db9fc879be61a2b10a34
-SIZE (KDE/release-service/23.08.5/kio-zeroconf-23.08.5.tar.xz) = 44360
+TIMESTAMP = 1734460312
+SHA256 (KDE/release-service/24.12.0/kio-zeroconf-24.12.0.tar.xz) = 20879ad3f7fb6f1cbee8274dea6860b474566f9ba629ae8499179e71b2f1a436
+SIZE (KDE/release-service/24.12.0/kio-zeroconf-24.12.0.tar.xz) = 44888
diff --git a/net/kio-zeroconf/pkg-plist b/net/kio-zeroconf/pkg-plist
index 868093c2fe3b..7ad7bf7bac9f 100644
--- a/net/kio-zeroconf/pkg-plist
+++ b/net/kio-zeroconf/pkg-plist
@@ -1,5 +1,5 @@
-%%QT_PLUGINDIR%%/kf5/kded/dnssdwatcher.so
-%%QT_PLUGINDIR%%/kf5/kio/zeroconf.so
+%%QT_PLUGINDIR%%/kf6/kded/dnssdwatcher.so
+%%QT_PLUGINDIR%%/kf6/kio/zeroconf.so
 share/dbus-1/interfaces/org.kde.kdnssd.xml
 share/locale/ar/LC_MESSAGES/kio5_zeroconf.mo
 share/locale/be/LC_MESSAGES/kio5_zeroconf.mo
@@ -24,6 +24,7 @@ share/locale/fi/LC_MESSAGES/kio5_zeroconf.mo
 share/locale/fr/LC_MESSAGES/kio5_zeroconf.mo
 share/locale/ga/LC_MESSAGES/kio5_zeroconf.mo
 share/locale/gl/LC_MESSAGES/kio5_zeroconf.mo
+share/locale/he/LC_MESSAGES/kio5_zeroconf.mo
 share/locale/hi/LC_MESSAGES/kio5_zeroconf.mo
 share/locale/hne/LC_MESSAGES/kio5_zeroconf.mo
 share/locale/hr/LC_MESSAGES/kio5_zeroconf.mo
diff --git a/net/kitinerary/Makefile b/net/kitinerary/Makefile
index b6a97c153810..c590eb7fe4bf 100644
--- a/net/kitinerary/Makefile
+++ b/net/kitinerary/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kitinerary
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	net kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -13,15 +12,14 @@ LIB_DEPENDS=	libphonenumber.so:devel/libphonenumber \
 		libpoppler.so:graphics/poppler \
 		libZXing.so:textproc/zxing-cpp
 
-USES=		compiler:c++11-lang cmake gettext gnome kde:5 pkgconfig qt:5 \
+USES=		cmake compiler:c++11-lang gettext gnome kde:6 pkgconfig qt:6 \
 		shared-mime-info ssl tar:xz
 USE_GNOME=	libxml2
 USE_KDE=	archive codecs coreaddons i18n \
 		ecm:build
 # Pim components
 USE_KDE+=	calendarcore contacts kpkpass mime
-USE_QT=		core declarative gui network \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/kitinerary/distinfo b/net/kitinerary/distinfo
index 0d957cdf6d37..11967dfd048a 100644
--- a/net/kitinerary/distinfo
+++ b/net/kitinerary/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889478
-SHA256 (KDE/release-service/23.08.5/kitinerary-23.08.5.tar.xz) = aebd2002fe8198cc95884af261882cce8fe0818ebcc34b1ce9a4715cf4e178a8
-SIZE (KDE/release-service/23.08.5/kitinerary-23.08.5.tar.xz) = 1940264
+TIMESTAMP = 1734460314
+SHA256 (KDE/release-service/24.12.0/kitinerary-24.12.0.tar.xz) = 4c11339a5bce980bd061a4437a943200fae82e104bd8472f3b2f7dc36f82b5c7
+SIZE (KDE/release-service/24.12.0/kitinerary-24.12.0.tar.xz) = 2004820
diff --git a/net/kitinerary/pkg-plist b/net/kitinerary/pkg-plist
index 66c6bdb1e9f6..6ecd7ac92fa4 100644
--- a/net/kitinerary/pkg-plist
+++ b/net/kitinerary/pkg-plist
@@ -1,185 +1,194 @@
-include/KPim5/KItinerary/AbstractExtractor
-include/KPim5/KItinerary/Action
-include/KPim5/KItinerary/AlphaId
-include/KPim5/KItinerary/BERElement
-include/KPim5/KItinerary/BarcodeDecoder
-include/KPim5/KItinerary/BoatTrip
-include/KPim5/KItinerary/Brand
-include/KPim5/KItinerary/BusTrip
-include/KPim5/KItinerary/CalendarHandler
-include/KPim5/KItinerary/CountryDb
-include/KPim5/KItinerary/CreativeWork
-include/KPim5/KItinerary/Datatypes
-include/KPim5/KItinerary/DocumentUtil
-include/KPim5/KItinerary/ELBTicket
-include/KPim5/KItinerary/Event
-include/KPim5/KItinerary/ExtractorCapabilities
-include/KPim5/KItinerary/ExtractorDocumentNode
-include/KPim5/KItinerary/ExtractorDocumentNodeFactory
-include/KPim5/KItinerary/ExtractorDocumentProcessor
-include/KPim5/KItinerary/ExtractorEngine
-include/KPim5/KItinerary/ExtractorFilter
-include/KPim5/KItinerary/ExtractorPostprocessor
-include/KPim5/KItinerary/ExtractorRepository
-include/KPim5/KItinerary/ExtractorResult
-include/KPim5/KItinerary/ExtractorValidator
-include/KPim5/KItinerary/File
-include/KPim5/KItinerary/Flight
-include/KPim5/KItinerary/HtmlDocument
-include/KPim5/KItinerary/HttpResponse
-include/KPim5/KItinerary/IataBcbp
-include/KPim5/KItinerary/IataBcbpSections
-include/KPim5/KItinerary/JsonLdDocument
-include/KPim5/KItinerary/KnowledgeDb
-include/KPim5/KItinerary/LocationUtil
-include/KPim5/KItinerary/MergeUtil
-include/KPim5/KItinerary/Organization
-include/KPim5/KItinerary/PdfDocument
-include/KPim5/KItinerary/PdfImage
-include/KPim5/KItinerary/PdfLink
-include/KPim5/KItinerary/Person
-include/KPim5/KItinerary/Place
-include/KPim5/KItinerary/ProgramMembership
-include/KPim5/KItinerary/Rct2Ticket
-include/KPim5/KItinerary/RentalCar
-include/KPim5/KItinerary/Reservation
-include/KPim5/KItinerary/SSBTicketBase
-include/KPim5/KItinerary/SSBv1Ticket
-include/KPim5/KItinerary/SSBv2Ticket
-include/KPim5/KItinerary/SSBv3Ticket
-include/KPim5/KItinerary/ScriptExtractor
-include/KPim5/KItinerary/SortUtil
-include/KPim5/KItinerary/Taxi
-include/KPim5/KItinerary/Ticket
-include/KPim5/KItinerary/Token
-include/KPim5/KItinerary/TrainTrip
-include/KPim5/KItinerary/Uic9183Block
-include/KPim5/KItinerary/Uic9183Header
-include/KPim5/KItinerary/Uic9183Parser
-include/KPim5/KItinerary/Uic9183TicketLayout
-include/KPim5/KItinerary/Uic9183Utils
-include/KPim5/KItinerary/VdvBasicTypes
-include/KPim5/KItinerary/VdvTicket
-include/KPim5/KItinerary/VdvTicketContent
-include/KPim5/KItinerary/VdvTicketParser
-include/KPim5/KItinerary/Vendor0080Block
-include/KPim5/KItinerary/Vendor0080VUBlockData
-include/KPim5/KItinerary/Vendor1154Block
-include/KPim5/KItinerary/Visit
-include/KPim5/kitinerary/abstractextractor.h
-include/KPim5/kitinerary/action.h
-include/KPim5/kitinerary/alphaid.h
-include/KPim5/kitinerary/barcodedecoder.h
-include/KPim5/kitinerary/berelement.h
-include/KPim5/kitinerary/boattrip.h
-include/KPim5/kitinerary/brand.h
-include/KPim5/kitinerary/bustrip.h
-include/KPim5/kitinerary/calendarhandler.h
-include/KPim5/kitinerary/countrydb.h
-include/KPim5/kitinerary/creativework.h
-include/KPim5/kitinerary/datatypes.h
-include/KPim5/kitinerary/documentutil.h
-include/KPim5/kitinerary/elbticket.h
-include/KPim5/kitinerary/event.h
-include/KPim5/kitinerary/extractorcapabilities.h
-include/KPim5/kitinerary/extractordocumentnode.h
-include/KPim5/kitinerary/extractordocumentnodefactory.h
-include/KPim5/kitinerary/extractordocumentprocessor.h
-include/KPim5/kitinerary/extractorengine.h
-include/KPim5/kitinerary/extractorfilter.h
-include/KPim5/kitinerary/extractorpostprocessor.h
-include/KPim5/kitinerary/extractorrepository.h
-include/KPim5/kitinerary/extractorresult.h
-include/KPim5/kitinerary/extractorvalidator.h
-include/KPim5/kitinerary/file.h
-include/KPim5/kitinerary/flight.h
-include/KPim5/kitinerary/htmldocument.h
-include/KPim5/kitinerary/httpresponse.h
-include/KPim5/kitinerary/iatabcbp.h
-include/KPim5/kitinerary/iatabcbpsections.h
-include/KPim5/kitinerary/internal/parameter_type.h
-include/KPim5/kitinerary/jsonlddocument.h
-include/KPim5/kitinerary/kitinerary_export.h
-include/KPim5/kitinerary/knowledgedb.h
-include/KPim5/kitinerary/locationutil.h
-include/KPim5/kitinerary/mergeutil.h
-include/KPim5/kitinerary/organization.h
-include/KPim5/kitinerary/pdfdocument.h
-include/KPim5/kitinerary/pdfimage.h
-include/KPim5/kitinerary/pdflink.h
-include/KPim5/kitinerary/person.h
-include/KPim5/kitinerary/place.h
-include/KPim5/kitinerary/programmembership.h
-include/KPim5/kitinerary/rct2ticket.h
-include/KPim5/kitinerary/rentalcar.h
-include/KPim5/kitinerary/reservation.h
-include/KPim5/kitinerary/scriptextractor.h
-include/KPim5/kitinerary/sortutil.h
-include/KPim5/kitinerary/ssbticketbase.h
-include/KPim5/kitinerary/ssbv1ticket.h
-include/KPim5/kitinerary/ssbv2ticket.h
-include/KPim5/kitinerary/ssbv3ticket.h
-include/KPim5/kitinerary/taxi.h
-include/KPim5/kitinerary/ticket.h
-include/KPim5/kitinerary/token.h
-include/KPim5/kitinerary/traintrip.h
-include/KPim5/kitinerary/uic9183block.h
-include/KPim5/kitinerary/uic9183header.h
-include/KPim5/kitinerary/uic9183parser.h
-include/KPim5/kitinerary/uic9183ticketlayout.h
-include/KPim5/kitinerary/uic9183utils.h
-include/KPim5/kitinerary/vdvbasictypes.h
-include/KPim5/kitinerary/vdvticket.h
-include/KPim5/kitinerary/vdvticketcontent.h
-include/KPim5/kitinerary/vdvticketparser.h
-include/KPim5/kitinerary/vendor0080block.h
-include/KPim5/kitinerary/vendor0080vublockdata.h
-include/KPim5/kitinerary/vendor1154block.h
-include/KPim5/kitinerary/visit.h
-include/KPim5/kitinerary_version.h
-lib/cmake/KPim5Itinerary/KPim5ItineraryConfig.cmake
-lib/cmake/KPim5Itinerary/KPim5ItineraryConfigVersion.cmake
-lib/cmake/KPim5Itinerary/KPim5ItineraryTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Itinerary/KPim5ItineraryTargets.cmake
-lib/cmake/KPimItinerary/KPim5ItineraryTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPimItinerary/KPim5ItineraryTargets.cmake
-lib/cmake/KPimItinerary/KPimItineraryConfig.cmake
-lib/cmake/KPimItinerary/KPimItineraryConfigVersion.cmake
-lib/libKPim5Itinerary.so
-lib/libKPim5Itinerary.so.5
-lib/libKPim5Itinerary.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libexec/kf5/kitinerary-extractor
-share/locale/ar/LC_MESSAGES/kitinerary.mo
-share/locale/ca/LC_MESSAGES/kitinerary.mo
-share/locale/ca@valencia/LC_MESSAGES/kitinerary.mo
-share/locale/cs/LC_MESSAGES/kitinerary.mo
-share/locale/da/LC_MESSAGES/kitinerary.mo
-share/locale/de/LC_MESSAGES/kitinerary.mo
-share/locale/en_GB/LC_MESSAGES/kitinerary.mo
-share/locale/es/LC_MESSAGES/kitinerary.mo
-share/locale/et/LC_MESSAGES/kitinerary.mo
-share/locale/eu/LC_MESSAGES/kitinerary.mo
-share/locale/fi/LC_MESSAGES/kitinerary.mo
-share/locale/fr/LC_MESSAGES/kitinerary.mo
-share/locale/gl/LC_MESSAGES/kitinerary.mo
-share/locale/ia/LC_MESSAGES/kitinerary.mo
-share/locale/it/LC_MESSAGES/kitinerary.mo
-share/locale/ja/LC_MESSAGES/kitinerary.mo
-share/locale/ka/LC_MESSAGES/kitinerary.mo
-share/locale/ko/LC_MESSAGES/kitinerary.mo
-share/locale/lt/LC_MESSAGES/kitinerary.mo
-share/locale/nl/LC_MESSAGES/kitinerary.mo
-share/locale/nn/LC_MESSAGES/kitinerary.mo
-share/locale/pl/LC_MESSAGES/kitinerary.mo
-share/locale/pt/LC_MESSAGES/kitinerary.mo
-share/locale/pt_BR/LC_MESSAGES/kitinerary.mo
-share/locale/ru/LC_MESSAGES/kitinerary.mo
-share/locale/sk/LC_MESSAGES/kitinerary.mo
-share/locale/sl/LC_MESSAGES/kitinerary.mo
-share/locale/sv/LC_MESSAGES/kitinerary.mo
-share/locale/tr/LC_MESSAGES/kitinerary.mo
-share/locale/uk/LC_MESSAGES/kitinerary.mo
-share/locale/zh_CN/LC_MESSAGES/kitinerary.mo
-share/locale/zh_TW/LC_MESSAGES/kitinerary.mo
+include/KPim6/KItinerary/AbstractExtractor
+include/KPim6/KItinerary/Action
+include/KPim6/KItinerary/AlphaId
+include/KPim6/KItinerary/BERElement
+include/KPim6/KItinerary/BarcodeDecoder
+include/KPim6/KItinerary/BoatTrip
+include/KPim6/KItinerary/Brand
+include/KPim6/KItinerary/BusTrip
+include/KPim6/KItinerary/CalendarHandler
+include/KPim6/KItinerary/CountryDb
+include/KPim6/KItinerary/CreativeWork
+include/KPim6/KItinerary/Datatypes
+include/KPim6/KItinerary/DocumentUtil
+include/KPim6/KItinerary/ELBTicket
+include/KPim6/KItinerary/Event
+include/KPim6/KItinerary/ExtractorCapabilities
+include/KPim6/KItinerary/ExtractorDocumentNode
+include/KPim6/KItinerary/ExtractorDocumentNodeFactory
+include/KPim6/KItinerary/ExtractorDocumentProcessor
+include/KPim6/KItinerary/ExtractorEngine
+include/KPim6/KItinerary/ExtractorFilter
+include/KPim6/KItinerary/ExtractorPostprocessor
+include/KPim6/KItinerary/ExtractorRepository
+include/KPim6/KItinerary/ExtractorResult
+include/KPim6/KItinerary/ExtractorValidator
+include/KPim6/KItinerary/File
+include/KPim6/KItinerary/Flight
+include/KPim6/KItinerary/HtmlDocument
+include/KPim6/KItinerary/HttpResponse
+include/KPim6/KItinerary/IataBcbp
+include/KPim6/KItinerary/IataBcbpSections
+include/KPim6/KItinerary/JsonLdDocument
+include/KPim6/KItinerary/KnowledgeDb
+include/KPim6/KItinerary/LocationUtil
+include/KPim6/KItinerary/MergeUtil
+include/KPim6/KItinerary/Organization
+include/KPim6/KItinerary/PdfDocument
+include/KPim6/KItinerary/PdfImage
+include/KPim6/KItinerary/PdfLink
+include/KPim6/KItinerary/Person
+include/KPim6/KItinerary/Place
+include/KPim6/KItinerary/PriceUtil
+include/KPim6/KItinerary/ProgramMembership
+include/KPim6/KItinerary/Rct2Ticket
+include/KPim6/KItinerary/RentalCar
+include/KPim6/KItinerary/Reservation
+include/KPim6/KItinerary/SSBTicketBase
+include/KPim6/KItinerary/SSBv1Ticket
+include/KPim6/KItinerary/SSBv2Ticket
+include/KPim6/KItinerary/SSBv3Ticket
+include/KPim6/KItinerary/ScriptExtractor
+include/KPim6/KItinerary/SortUtil
+include/KPim6/KItinerary/Taxi
+include/KPim6/KItinerary/Ticket
+include/KPim6/KItinerary/Token
+include/KPim6/KItinerary/TrainTrip
+include/KPim6/KItinerary/Uic9183Block
+include/KPim6/KItinerary/Uic9183Head
+include/KPim6/KItinerary/Uic9183Header
+include/KPim6/KItinerary/Uic9183Parser
+include/KPim6/KItinerary/Uic9183TicketLayout
+include/KPim6/KItinerary/Uic9183Utils
+include/KPim6/KItinerary/VdvBasicTypes
+include/KPim6/KItinerary/VdvTicket
+include/KPim6/KItinerary/VdvTicketContent
+include/KPim6/KItinerary/VdvTicketParser
+include/KPim6/KItinerary/Vendor0080Block
+include/KPim6/KItinerary/Vendor0080VUBlockData
+include/KPim6/KItinerary/Vendor1154Block
+include/KPim6/KItinerary/Visit
+include/KPim6/kitinerary/abstractextractor.h
+include/KPim6/kitinerary/action.h
+include/KPim6/kitinerary/alphaid.h
+include/KPim6/kitinerary/barcodedecoder.h
+include/KPim6/kitinerary/berelement.h
+include/KPim6/kitinerary/boattrip.h
+include/KPim6/kitinerary/brand.h
+include/KPim6/kitinerary/bustrip.h
+include/KPim6/kitinerary/calendarhandler.h
+include/KPim6/kitinerary/countrydb.h
+include/KPim6/kitinerary/creativework.h
+include/KPim6/kitinerary/datatypes.h
+include/KPim6/kitinerary/datatypes_impl.h
+include/KPim6/kitinerary/documentutil.h
+include/KPim6/kitinerary/elbticket.h
+include/KPim6/kitinerary/event.h
+include/KPim6/kitinerary/extractorcapabilities.h
+include/KPim6/kitinerary/extractordocumentnode.h
+include/KPim6/kitinerary/extractordocumentnodefactory.h
+include/KPim6/kitinerary/extractordocumentprocessor.h
+include/KPim6/kitinerary/extractorengine.h
+include/KPim6/kitinerary/extractorfilter.h
+include/KPim6/kitinerary/extractorpostprocessor.h
+include/KPim6/kitinerary/extractorrepository.h
+include/KPim6/kitinerary/extractorresult.h
+include/KPim6/kitinerary/extractorvalidator.h
+include/KPim6/kitinerary/file.h
+include/KPim6/kitinerary/flight.h
+include/KPim6/kitinerary/htmldocument.h
+include/KPim6/kitinerary/httpresponse.h
+include/KPim6/kitinerary/iatabcbp.h
+include/KPim6/kitinerary/iatabcbpsections.h
+include/KPim6/kitinerary/internal/instance_counter.h
+include/KPim6/kitinerary/internal/parameter_type.h
+include/KPim6/kitinerary/internal/strict_equal.h
+include/KPim6/kitinerary/internal/strict_less.h
+include/KPim6/kitinerary/jsonlddocument.h
+include/KPim6/kitinerary/kitinerary_export.h
+include/KPim6/kitinerary/knowledgedb.h
+include/KPim6/kitinerary/locationutil.h
+include/KPim6/kitinerary/mergeutil.h
+include/KPim6/kitinerary/organization.h
+include/KPim6/kitinerary/pdfdocument.h
+include/KPim6/kitinerary/pdfimage.h
+include/KPim6/kitinerary/pdflink.h
+include/KPim6/kitinerary/person.h
+include/KPim6/kitinerary/place.h
+include/KPim6/kitinerary/priceutil.h
+include/KPim6/kitinerary/programmembership.h
+include/KPim6/kitinerary/rct2ticket.h
+include/KPim6/kitinerary/rentalcar.h
+include/KPim6/kitinerary/reservation.h
+include/KPim6/kitinerary/scriptextractor.h
+include/KPim6/kitinerary/sortutil.h
+include/KPim6/kitinerary/ssbticketbase.h
+include/KPim6/kitinerary/ssbv1ticket.h
+include/KPim6/kitinerary/ssbv2ticket.h
+include/KPim6/kitinerary/ssbv3ticket.h
+include/KPim6/kitinerary/taxi.h
+include/KPim6/kitinerary/ticket.h
+include/KPim6/kitinerary/token.h
+include/KPim6/kitinerary/traintrip.h
+include/KPim6/kitinerary/uic9183block.h
+include/KPim6/kitinerary/uic9183head.h
+include/KPim6/kitinerary/uic9183header.h
+include/KPim6/kitinerary/uic9183parser.h
+include/KPim6/kitinerary/uic9183ticketlayout.h
+include/KPim6/kitinerary/uic9183utils.h
+include/KPim6/kitinerary/vdvbasictypes.h
+include/KPim6/kitinerary/vdvticket.h
+include/KPim6/kitinerary/vdvticketcontent.h
+include/KPim6/kitinerary/vdvticketparser.h
+include/KPim6/kitinerary/vendor0080block.h
+include/KPim6/kitinerary/vendor0080vublockdata.h
+include/KPim6/kitinerary/vendor1154block.h
+include/KPim6/kitinerary/visit.h
+include/KPim6/kitinerary_version.h
+lib/cmake/KPim6Itinerary/KPim6ItineraryConfig.cmake
+lib/cmake/KPim6Itinerary/KPim6ItineraryConfigVersion.cmake
+lib/cmake/KPim6Itinerary/KPim6ItineraryTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6Itinerary/KPim6ItineraryTargets.cmake
+lib/libKPim6Itinerary.so
+lib/libKPim6Itinerary.so.6
+lib/libKPim6Itinerary.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libexec/kf6/kitinerary-extractor
+share/locale/ar/LC_MESSAGES/kitinerary6.mo
+share/locale/ast/LC_MESSAGES/kitinerary6.mo
+share/locale/ca/LC_MESSAGES/kitinerary6.mo
+share/locale/ca@valencia/LC_MESSAGES/kitinerary6.mo
+share/locale/cs/LC_MESSAGES/kitinerary6.mo
+share/locale/da/LC_MESSAGES/kitinerary6.mo
+share/locale/de/LC_MESSAGES/kitinerary6.mo
+share/locale/en_GB/LC_MESSAGES/kitinerary6.mo
+share/locale/eo/LC_MESSAGES/kitinerary6.mo
+share/locale/es/LC_MESSAGES/kitinerary6.mo
+share/locale/et/LC_MESSAGES/kitinerary6.mo
+share/locale/eu/LC_MESSAGES/kitinerary6.mo
+share/locale/fi/LC_MESSAGES/kitinerary6.mo
+share/locale/fr/LC_MESSAGES/kitinerary6.mo
+share/locale/gl/LC_MESSAGES/kitinerary6.mo
+share/locale/he/LC_MESSAGES/kitinerary6.mo
+share/locale/ia/LC_MESSAGES/kitinerary6.mo
+share/locale/it/LC_MESSAGES/kitinerary6.mo
+share/locale/ja/LC_MESSAGES/kitinerary6.mo
+share/locale/ka/LC_MESSAGES/kitinerary6.mo
+share/locale/ko/LC_MESSAGES/kitinerary6.mo
+share/locale/lt/LC_MESSAGES/kitinerary6.mo
+share/locale/lv/LC_MESSAGES/kitinerary6.mo
+share/locale/nl/LC_MESSAGES/kitinerary6.mo
+share/locale/nn/LC_MESSAGES/kitinerary6.mo
+share/locale/pl/LC_MESSAGES/kitinerary6.mo
+share/locale/pt/LC_MESSAGES/kitinerary6.mo
+share/locale/pt_BR/LC_MESSAGES/kitinerary6.mo
+share/locale/ru/LC_MESSAGES/kitinerary6.mo
+share/locale/sk/LC_MESSAGES/kitinerary6.mo
+share/locale/sl/LC_MESSAGES/kitinerary6.mo
+share/locale/sv/LC_MESSAGES/kitinerary6.mo
+share/locale/ta/LC_MESSAGES/kitinerary6.mo
+share/locale/tr/LC_MESSAGES/kitinerary6.mo
+share/locale/uk/LC_MESSAGES/kitinerary6.mo
+share/locale/zh_CN/LC_MESSAGES/kitinerary6.mo
+share/locale/zh_TW/LC_MESSAGES/kitinerary6.mo
 share/mime/packages/application-vnd-kde-itinerary.xml
-share/qlogging-categories5/org_kde_kitinerary.categories
+share/qlogging-categories6/org_kde_kitinerary.categories
diff --git a/net/kldap/Makefile b/net/kldap/Makefile
index fad82ff93836..afef2af42ea1 100644
--- a/net/kldap/Makefile
+++ b/net/kldap/Makefile
@@ -9,15 +9,14 @@ WWW=		https://www.kde.org/
 LICENSE=	LGPL21
 
 LIB_DEPENDS=	libsasl2.so:security/cyrus-sasl2 \
-		libqt5keychain.so:security/qtkeychain@qt5
+		libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake compiler:c++11-lib gettext kde:5 ldap qt:5 tar:xz
-USE_KDE=	completion config coreaddons i18n kio widgetsaddons service \
+USES=		cmake compiler:c++11-lib gettext kde:6 ldap qt:6 tar:xz
+USE_KDE=	completion config coreaddons i18n kio service widgetsaddons \
 		ecm:build
 # pim components
 USE_KDE+=	mbox
-USE_QT=		concurrent core dbus gui network widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/kldap/distinfo b/net/kldap/distinfo
index 9e5d676498b2..9c8492a3bf31 100644
--- a/net/kldap/distinfo
+++ b/net/kldap/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889479
-SHA256 (KDE/release-service/23.08.5/kldap-23.08.5.tar.xz) = 9d29dc2fc8763ade3b392ddaf7ba1efe8718b187dc1ee78bdb0d3b2440186cbe
-SIZE (KDE/release-service/23.08.5/kldap-23.08.5.tar.xz) = 183440
+TIMESTAMP = 1734460316
+SHA256 (KDE/release-service/24.12.0/kldap-24.12.0.tar.xz) = 79c0119eac21c42d7f16eb021ca7a9706c29b2606eb613880965da9ab7f9ab91
+SIZE (KDE/release-service/24.12.0/kldap-24.12.0.tar.xz) = 190344
